package com.bonus.zlpt.home.service;

import com.bonus.zlpt.home.pojo.BmTopicDto;
import com.bonus.zlpt.home.pojo.BmTopicInfo;

import java.util.List;

/**
 * 专题资讯表(BmTopicInfo)表服务接口
 *
 * @author makejava
 * @since 2023-12-04 09:48:36
 */
public interface BmTopicInfoService {

    /**
     * 获取专题资讯列表
     * @param bmTopicDto
     * @return
     */
    List<BmTopicInfo> selectSpecialInfoList(BmTopicDto bmTopicDto);

    /**
     * 新增专题资讯信息
     * @param bmTopicInfo
     * @return
     */
    int insertConfig(BmTopicInfo bmTopicInfo);

    /**
     * 根据id查询资讯信息
     * @param id
     * @return
     */
    BmTopicInfo selectListById(String id);

    /**
     * 编辑专题资讯信息
     * @param bmTopicInfo
     * @return
     */
    int update(BmTopicInfo bmTopicInfo);

    /**
     * 删除专题资讯信息
     * @param id
     * @return
     */
    int deleteById(String id);

    /**
     * 添加浏览次数
     * @param id
     */
    void insertNum(String id, Integer viewNum);
}

